var window = Ti.UI.createWindow({
	title : "window1",
	backgroundColor : "white",
	theme : "mytheme"
});

var label1 = Ti.UI.createLabel({
	top: 10,
	text: "This is a fullscreen window without title bar."
});

window.add(label1);

var b1 = Ti.UI.createButton({
	title : 'Open an opaque window without title bar'
});

b1.addEventListener('click', function(e) {
	var win = Ti.UI.createWindow({
		title : "window2",
		backgroundColor : "red",
		theme : "Theme.Titanium"
	});

	var label2 = Ti.UI.createLabel({
		top : 10,
		text : "This is a window with status bar but without title bar."
	});

	win.add(label2); 


	var b2 = Ti.UI.createButton({
		title : 'Open a translucent window with title bar'
	});

	b2.addEventListener('click', function(e) {

		var win = Ti.UI.createWindow({
			title : "window3",
			backgroundColor : "blue",
			theme: "Theme.AppCompat.Translucent",
			opacity : 0.7
		});
		
		var label3 = Ti.UI.createLabel({
			top : 10,
			text : "This is a window with status bar and title bar."
		});

		win.add(label3);


		var b3 = Ti.UI.createButton({
			title : 'Open a translucent window without title bar'
		});

		b3.addEventListener('click', function(e) {

			var win = Ti.UI.createWindow({
				title : "window4",
				backgroundColor : "yellow",
				theme : "Theme.AppCompat.Translucent.NoTitleBar",
				opacity : 0.9
			});
			
			var label2 = Ti.UI.createLabel({
				top : 10,
				text : "This is a window with status bar but without title bar."
			});

			win.add(label2);
			win.open();
		});

		win.add(b3);
		win.open();
	});

	win.add(b2);
	win.open();

});

window.add(b1);

window.open(); 
